## org.plovr
Class QueryData

    java.lang.Object
      org.plovr.QueryData

    public class QueryData

extends Object

`QueryData` represents the query parameters in a URI.

Author:
  bolinfest@gmail.com (Michael Bolin)

Method Summary
`static QueryData` `createFromUri(URI uri)`
`String` `getLastValueForParam(String name)`
`String` `getParam(String name)`
`Set<String>` `getParams()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParam

    public String getParam(String name)

  Parameters:
    `name` - of a query parameter
  Returns:
    The value associated with the query parameter, or null if there is no value for `name`. If there are multiple values for the query parameter, the first value is returned, where "first" is the first one that appears when the query string is read left to right.

### getLastValueForParam

    public String getLastValueForParam(String name)

  Parameters:
    `name` - of a query parameter
  Returns:
    The value associated with the query parameter, or null if there is no value for `name`. If there are multiple values for the query parameter, the last value is returned, where "last" is the last one that appears when the query string is read left to right.

### getParams

    public Set<String> getParams()

### createFromUri

    public static QueryData createFromUri(URI uri)